View Issue Details

IDProjectCategoryView StatusLast Update
0032558Open CASCADEPRODUCTS:Volume Renderingpublic2021-12-17 18:41
Reporterkgv Assigned Tongavrilo  
PrioritynormalSeverityminor 
Status verifiedResolutionfixed 
Product Version7.6.0 
Target Version7.6.0Fixed in Version7.6.0 
Summary0032558: Volume Rendering - CT medical presets do not work with signed integer data formats
DescriptionPresets introduced by 0032542 currently work only on DICOM datasets having uint16 format, but applied incorrectly to int16 datasets.
TagsNo tags attached.
Test case numberNot required

Relationships

child of 0032542 verifiedngavrilo Volume Rendering - introduce Transfer Function presets for medical data sets (DICOM) 

Activities

git

2021-09-09 22:11

administrator   ~0103958

Branch CR32558 has been created by ngavrilo.

SHA-1: c84d6ebf8216626d0c961e76e8ef085d01f494f1


Detailed log of new commits:

Author: Nikolay GAVRILOV
Date: Thu Sep 9 22:08:45 2021 +0300

    0032558: Volume Rendering - CT medical presets do not work with signed integer data formats
    fixed int32 texture internal format

kgv

2021-09-10 11:51

developer   ~0103978

kgv

2021-09-16 17:41

developer   ~0104129

Please raise the patch
- OCCT: branch NONE;
- OCC Products: branch CR32558.

http://jenkins-test-12.nnov.opencascade.com:8080/view/master-CR32558-KGV/

bugmaster

2021-09-18 09:37

administrator   ~0104183

Combination -
OCCT branch : IR-2021-09-17
master SHA - 812ee2c9bec89902de2ff85201cb314e0de894cc
49e51745631c52b6c452c65adae4d6dfa21a1b1e
Products branch : IR-2021-09-17 SHA - 1127e31e32f90ff63544b0516092694f1a36932f
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17390.540000000547 / 17358.370000000414 [+0.19%]
Products
Total CPU difference: 11364.740000000118 / 11411.36000000011 [-0.41%]
Windows-64-VC14:
OCCT
Total CPU difference: 19321.5625 / 19327.15625 [-0.03%]
Products
Total CPU difference: 12746.171875 / 12747.78125 [-0.01%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

bugmaster

2021-09-25 09:28

administrator   ~0104359

Fix has been integrated into master of occt-products repository

git

2021-12-13 14:56

administrator   ~0105871

Branch CR32558 has been deleted by kgv.

SHA-1: c84d6ebf8216626d0c961e76e8ef085d01f494f1

Related Changesets

occt-products: master 9ec40744

2021-08-30 10:45:59

ngavrilo


Committer: smoskvin Details Diff
0032558: Volume Rendering - CT medical presets do not work with signed integer data formats

VolumeRender_DicomReader now applies Slope and Intercept transformation to HU
and converts uint16 data into int16.

NRRD-reader now always converts voxel format int32 to float32.
VolumeRender_TransferFunction - removed DensityCoef used as workaround for NRRD int32 data import issue.
Affected Issues
0032558
mod - diff Diff File
mod - diff Diff File
mod - diff Diff File
mod - diff Diff File
mod - diff Diff File
mod - diff Diff File
mod - diff Diff File
mod - diff Diff File
mod - src/VolumeRender/VolumeRender_DicomReader.hxx Diff File
mod - src/VolumeRender/VolumeRender_DrawableNode.cxx Diff File
mod - src/VolumeRender/VolumeRender_HistogramBuilder.cxx Diff File
mod - src/VolumeRender/VolumeRender_NrrdReader.cxx Diff File
mod - src/VolumeRender/VolumeRender_RaytraceRenderer.cxx Diff File
mod - src/VolumeRender/VolumeRender_Slice.hxx Diff File
mod - src/VolumeRender/VolumeRender_VolumeTexture.cxx Diff File

Issue History

Date Modified Username Field Change
2021-09-03 10:13 kgv New Issue
2021-09-03 10:13 kgv Assigned To => kgv
2021-09-03 10:13 kgv Relationship added child of 0032542
2021-09-09 17:13 bugmaster Project Internal => Open CASCADE
2021-09-09 17:18 kgv Assigned To kgv => ngavrilo
2021-09-09 17:18 kgv Status new => assigned
2021-09-09 22:11 git Note Added: 0103958
2021-09-10 11:51 kgv Note Added: 0103978
2021-09-16 17:41 kgv Note Added: 0104129
2021-09-16 17:41 kgv Assigned To ngavrilo => bugmaster
2021-09-16 17:41 kgv Status assigned => resolved
2021-09-16 17:41 kgv Status resolved => reviewed
2021-09-18 09:37 bugmaster Status reviewed => tested
2021-09-18 09:37 bugmaster Note Added: 0104183
2021-09-25 09:07 smoskvin Test case number => Not required
2021-09-25 09:28 bugmaster Note Added: 0104359
2021-09-25 09:28 bugmaster Status tested => verified
2021-09-25 09:28 bugmaster Resolution open => fixed
2021-12-13 14:56 git Note Added: 0105871
2021-12-17 18:41 smoskvin Changeset attached => occt-products master 9ec40744
2021-12-17 18:41 ngavrilo Assigned To bugmaster => ngavrilo
2021-12-17 18:41 ngavrilo Status closed => verified